package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.AttendanceUbiDevice;

/**
 * 宇泛的设备信息Service接口
 * 
 * @author yanzhu
 * @date 2024-10-08
 */
public interface IAttendanceUbiDeviceService 
{
    /**
     * 查询宇泛的设备信息
     * 
     * @param id 宇泛的设备信息主键
     * @return 宇泛的设备信息
     */
    public AttendanceUbiDevice selectAttendanceUbiDeviceById(Long id);
    public AttendanceUbiDevice selectAttendanceUbiDeviceByNo(String no);
    /**
     * 查询宇泛的设备信息列表
     * 
     * @param attendanceUbiDevice 宇泛的设备信息
     * @return 宇泛的设备信息集合
     */
    public List<AttendanceUbiDevice> selectAttendanceUbiDeviceList(AttendanceUbiDevice attendanceUbiDevice);

    /**
     * 新增宇泛的设备信息
     * 
     * @param attendanceUbiDevice 宇泛的设备信息
     * @return 结果
     */
    public int insertAttendanceUbiDevice(AttendanceUbiDevice attendanceUbiDevice);

    /**
     * 修改宇泛的设备信息
     * 
     * @param attendanceUbiDevice 宇泛的设备信息
     * @return 结果
     */
    public int updateAttendanceUbiDevice(AttendanceUbiDevice attendanceUbiDevice);

    /**
     * 批量删除宇泛的设备信息
     * 
     * @param ids 需要删除的宇泛的设备信息主键集合
     * @return 结果
     */
    public int deleteAttendanceUbiDeviceByIds(Long[] ids);

    /**
     * 删除宇泛的设备信息信息
     * 
     * @param id 宇泛的设备信息主键
     * @return 结果
     */
    public int deleteAttendanceUbiDeviceById(Long id);
}
